# PostgreSQL Configuration
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://localhost:5432/dbppsquare
spring.datasource.username=interface_square
spring.datasource.password=initial

# application
server.port = 8088
# set base url of application (default is "/")
server.servlet.context-path=/SQuaReV

# rserver
rserver.host = localhost
rserver.port = 6311
# connect to the R server by ssl only; can be true or false
rserver.ssl = false
# the file name of the db config file on the R server
rserver.config_filename = /etc/squaredbconnector.properties
# the section in the db config file on the R server
rserver.config_section = prod
# the output path for final report files on the R server
rserver.output_path = /opt/tmp
# old: the prefix of the apache server that hosts the 0000..0999 folder
# new: the url for the download link to render on the report.html
rserver.weburlprefix = http://localhost:8088/SQuaReV/download

# keycloak
#keycloak.auth-server-url=https://keycloak.ship-med.uni-greifswald.de/
keycloak.auth-server-url=http://localhost:8080
keycloak.realm=ship
keycloak.resource=Square2
#keycloak.credentials.secret = p3G5FPNEl0j5hivd7HKkQeXyyl2s8jz8
# in production you should use
#keycloak.ssl-required = external
#keycloak.bearer-only=true
keycloak.public-client=true
keycloak.use-resource-role-mappings=true
keycloak.principal-attribute=preferred_username

# utf-8
spring.http.encoding.charset=UTF-8
spring.http.encoding.enabled=true
spring.http.encoding.force=true

spring.freemarker.cache=false

# logging
logging.level.root = ERROR
logging.level.de.ship.square = INFO

# reference applications
reference.application.menu = http://localhost:8081/SQuaRe2/menu
